public final class NetworkEndpointGroupsListEndpointsRequest
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Compute Engine API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
com.google.api.client.util.GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
NetworkEndpointGroupsListEndpointsRequest() |
| Modifier and Type | Method and Description |
|---|---|
NetworkEndpointGroupsListEndpointsRequest |
clone() |
List<NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter> |
getEndpointFilters()
Optional list of endpoints to query.
|
String |
getHealthStatus()
Optional query parameter for showing the health status of each network endpoint.
|
NetworkEndpointGroupsListEndpointsRequest |
set(String fieldName,
Object value) |
NetworkEndpointGroupsListEndpointsRequest |
setEndpointFilters(List<NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter> endpointFilters)
Optional list of endpoints to query.
|
NetworkEndpointGroupsListEndpointsRequest |
setHealthStatus(String healthStatus)
Optional query parameter for showing the health status of each network endpoint.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic NetworkEndpointGroupsListEndpointsRequest()
public List<NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter> getEndpointFilters()
null for nonepublic NetworkEndpointGroupsListEndpointsRequest setEndpointFilters(List<NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter> endpointFilters)
endpointFilters - endpointFilters or null for nonepublic String getHealthStatus()
null for nonepublic NetworkEndpointGroupsListEndpointsRequest setHealthStatus(String healthStatus)
healthStatus - healthStatus or null for nonepublic NetworkEndpointGroupsListEndpointsRequest set(String fieldName, Object value)
set in class com.google.api.client.json.GenericJsonpublic NetworkEndpointGroupsListEndpointsRequest clone()
clone in class com.google.api.client.json.GenericJsonCopyright © 2011–2025 Google. All rights reserved.